<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 1 solution.</p>
		<button onclick="checkStatus()">Check status of the train</button>
		<p id="demo"></p>

		<script>
			function checkStatus() {
				var n,m,str;
				var p,i,j,k;
				var start_x, start_y;
				var flag;
				var out;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(p=0;p<test_case;p++) {
					n = +(prompt(`Please enter no of row of matrices for ${p+1} test: `));
					m = +(prompt(`Please enter no of colum of matrices for ${p+1} test: `));
					str = prompt(`Please enter command string for ${p+1} test as L|R|U|D  : `);
					flag =0;
					for (i=0;i<n;i++) {
						for(j=0;j<m;j++) {
							start_x = i;
							start_y = j;
							for(k=0;k<str.length;k++) {
								if(str.charAt(k) == "L")
									start_y--;
								if(str.charAt(k) == "R")
									start_y++;
								if(str.charAt(k) == "U")
									start_x--;
								if(str.charAt(k) == "D")
									start_x++;
							}
							if( start_x>=0 && start_x<n && start_y >=0 && start_y<m)
							{
								flag = 1;
							}
						}
					}
					if(flag == 1)
						out = 1;
					else
						out = 0;
					output += `Your ${p+1} train result is : `+out+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>